Bug 14512 - Fix MultipleChannel_Negative_SMB2002
Summary: Fix MultipleChannel_Negative_SMB2002
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.10.17
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Stefan Metzmacher
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks: 14534
  Show dependency treegraph
 
Reported: 2020-09-25 09:28 UTC by Jones Syue
Modified: 2021-04-07 09:50 UTC (History)
2 users (show)

See Also:


Attachments
test case MultipleChannel_Negative_SMB2002 is failed (158.37 KB, image/png)
2020-09-25 09:28 UTC, Jones Syue
no flags Details
testsuite test report with complete logs (98.17 KB, text/xml)
2020-09-25 09:29 UTC, Jones Syue
no flags Details
wireshark capture (1.51 MB, application/octet-stream)
2020-09-25 09:31 UTC, Jones Syue
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jones Syue 2020-09-25 09:28:04 UTC
Created attachment 16259 [details]
test case MultipleChannel_Negative_SMB2002 is failed

In SDC 2020 SMB3 Virtual IO Lab,
run Windows Protocol Test Suite to test FileServer,
test case MultipleChannel_Negative_SMB2002 is failed.

(part of) debug logs said:
SessionSetup is expected to fail with STATUS_REQUEST_NOT_ACCEPTED.
but actually it got STATUS_USER_SESSION_DELETED.
> 2020-09-25 08:35:25.108 [Debug] The selected dialect is Smb2002
> 2020-09-25 08:35:25.109 [CheckSucceeded] Assert.IsTrue succeeded. The server SHOULD<168> grant the client a non-zero value of credits in response to any non-zero value requested, within administratively configured limits. The server MUST grant the client at least 1 credit when responding to SMB2 NEGOTIATE, actually server returns 1
> 2020-09-25 08:35:25.109 [CheckSucceeded] Assert.AreEqual succeeded. Negotiation should succeed, actually server returns STATUS_SUCCESS.
> 2020-09-25 08:35:25.971 [Debug] C SESSION_SETUP, Alternative Channel, SecurityMode=NEGOTIATE_SIGNING_ENABLED, Capabilities=GLOBAL_CAP_DFS
> 2020-09-25 08:35:26.296 [Debug] R SESSION_SETUP, ErrorCode=STATUS_USER_SESSION_DELETED
> 2020-09-25 08:35:26.297 [CheckFailed] Assert.AreEqual failed. Expected: <3221225680 (0xC00000D0)>, Actual: <3221225987 (0xC0000203)>. SessionSetup is expected to fail with STATUS_REQUEST_NOT_ACCEPTED.

Steps to reproduce (in brief):
1. Microsoft Protocol Testsuite > FileServer 4.20.9.0 > Configure Wizard
2. Filter Test Cases: Selected test cases 9
Priority > Select All: checked.
Feature > Others > SMB2&3 > MultipleChannel: checked.
3. Configure Test Cases > Common > IsMultiChannelCapable: true
4. Run Selected Test Cases > MultipleChannel_Negative_SMB2002: checked.
5. MultipleChannel_Negative_SMB2002 test result is failed.
Comment 1 Jones Syue 2020-09-25 09:29:35 UTC
Created attachment 16260 [details]
testsuite test report with complete logs
Comment 2 Jones Syue 2020-09-25 09:31:58 UTC
Created attachment 16261 [details]
wireshark capture
Comment 3 Jones Syue 2020-09-25 16:22:07 UTC
CI is passed, patch for master:
https://gitlab.com/samba-team/devel/samba/-/pipelines/194500227
Comment 4 Stefan Metzmacher 2021-03-10 14:12:03 UTC
Improved fixes can be found here:
https://gitlab.com/samba-team/samba/-/merge_requests/1830
Comment 5 Samba QA Contact 2021-03-17 01:57:04 UTC
This bug was referenced in samba master:

a9e7d0be3f36a04d8c51f59fafbcf8bc743f950f
3066a02b5db57f958f0f8395a63dda5acaa88607
2a4ba7b6cdfe417fa05479517b755a2f67416def
f54fb828903a69b9703124b9ecd2514ea0992c45
17b99809b3f19dddef6b780decbbace48e76e12e
e4c1a0059504085d2b226b871de568d8a51c2dcd
8e2f3e6558d086427709ad96694346297cccd73e
d815b0fdf36d88b01c54a17968b2b8ffcfb971b3
ead89447a92dcc78de9d6cacbaf7ab0c3b57fbb8
3e43962f732ab0006f039a76be3b486f695d4c24
9da2f6727f28281abf83b1426857d5e19d7824ff
5b648fe96027543503e9ad800370bcfee5ca5ff6
bba8d34a788f2db6e70a2c721aa7f7e0569bed4e
da7dcc443f45d07d9963df9daae458fbdd991a47
2885fbfd764fddd34f6d4491aff8709e2163bb31
5d4c63d83879eba86d3fe8d834553a0a7b35217f
7c8707613e76777daa95494e5bca66380b9f59b1
f65e609fd165b2639d5ae25d59c2e0fb7496c7df
a11dab1648094982a21dbf2d306deb0e31e444fd
5b5140483ee463f341734b7783f08f2b95b14264
c34b86a34e8ead6d52994b9b5b32f5553a8f90fd
c0868882c71eaa0e1a7609a1b0dad47887dda29f
78549ea0b2eb07e883ee05c0d1baa6f5776c95d7
fe7fe76c31e562f3ce36f5483b0bbbf7e920ab4d
44e76fccf6790c7b6f71dc1b9fbf0f953b26444f
30fa5a45c2df42cc5c28a912cb4f11f514a89390
457b989881634bfe073cf47a4184f95823a558be
341ad1ae68b71489e4729ec11a9b3efb7d9b98ea
2045008995135adbc83fc2365be3e92104eab446
c4bec67f06eeb05efb7c398ba3a377998249dc47
3242a0b091899068943072b9c509452931042542
b8ccd2391afcc50ca109e328a523b233fcb91a90
d95e90fe4604e095161c0db8d925f3fc3c766070
fd9191fb9c9781b10512048decad0bc8604f7124
7733f98f69106a8efdceed9603174cf335db700c
4ab1b29d5d361262f84ce3b915730148a188ad86
8f43c15f627d25848622712f5d2e1bceeec72371
Comment 6 Stefan Metzmacher 2021-04-07 09:50:53 UTC
Will be fixed in 4.15